summaryrefslogtreecommitdiff
path: root/dev-util/nsight-systems
diff options
context:
space:
mode:
authorLiguros - Gitlab CI/CD [develop] <gitlab@liguros.net>2025-04-05 06:50:21 +0000
committerLiguros - Gitlab CI/CD [develop] <gitlab@liguros.net>2025-04-05 06:50:21 +0000
commit20e9076f1be511fb2cfd93b574ceb4306f6c45fe (patch)
tree31ecfbc39ed1626ffe07c740e06594f95c4473ec /dev-util/nsight-systems
parente5e8bab3346a9a93a8acb773e397e67814a1ef37 (diff)
downloadbaldeagleos-repo-20e9076f1be511fb2cfd93b574ceb4306f6c45fe.tar.gz
baldeagleos-repo-20e9076f1be511fb2cfd93b574ceb4306f6c45fe.tar.xz
baldeagleos-repo-20e9076f1be511fb2cfd93b574ceb4306f6c45fe.zip
Adding metadata
Diffstat (limited to 'dev-util/nsight-systems')
-rw-r--r--dev-util/nsight-systems/Manifest2
-rw-r--r--dev-util/nsight-systems/metadata.xml17
-rw-r--r--dev-util/nsight-systems/nsight-systems-2025.2.1.ebuild117
3 files changed, 136 insertions, 0 deletions
diff --git a/dev-util/nsight-systems/Manifest b/dev-util/nsight-systems/Manifest
new file mode 100644
index 000000000000..69cd18e7afc8
--- /dev/null
+++ b/dev-util/nsight-systems/Manifest
@@ -0,0 +1,2 @@
+DIST nsight-systems-2025.2.1_2025.2.1.130-1_amd64.deb 428406244 BLAKE2B d7831f8adbef228d9ca7308b5466dfacc064560885980e59e5d6d25df64a6cc901bb9c58ffbe2734a9c57fd249f6809d52b7a8f3ed10516a398d8cbdc4b2d214 SHA512 74d407e12f560ff2fdb8c09d91733fa78bea8470ba181253ad9946f1e770a5f5e7a15c6d27e41d133e6d670b83e527b1fd7249d1d066f7dfecd17962371e4ea3
+DIST nsight-systems-2025.2.1_2025.2.1.130-1_arm64.deb 401367200 BLAKE2B 714bff59f4779cf5b86e002bf6cd6fca24ac5f5b9cd5a5626499cd78c88e6b4ad70445869c2045b9d31e3c2c36efe253f49f9843548a75744ba074cd863e4681 SHA512 881d2f9278206187297936c875b75344302268a32514149a2e246cc7eb0c68cbcd1cc1e8dee44a305abafd8cfabe90875e296ef99450db1a58336499945b775e
diff --git a/dev-util/nsight-systems/metadata.xml b/dev-util/nsight-systems/metadata.xml
new file mode 100644
index 000000000000..180a9fa063df
--- /dev/null
+++ b/dev-util/nsight-systems/metadata.xml
@@ -0,0 +1,17 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<!DOCTYPE pkgmetadata SYSTEM "https://liguros.gitlab.io/dtd/metadata.dtd">
+<pkgmetadata>
+ <maintainer type="person">
+ <email>negril.nx+gentoo@gmail.com</email>
+ <name>Paul Zander</name>
+ </maintainer>
+ <maintainer type="project">
+ <email>sci@gentoo.org</email>
+ <name>Gentoo Science Project</name>
+ </maintainer>
+ <longdescription>
+ NVIDIA Nsight™ Systems is a system-wide performance analysis tool designed to visualize an application’s algorithms, identify the largest opportunities to optimize, and tune to scale efficiently across any quantity or size of CPUs and GPUs, from large servers to our smallest systems-on-a-chip (SoCs).
+ </longdescription>
+
+ <origin>gentoo-staging</origin>
+</pkgmetadata> \ No newline at end of file
diff --git a/dev-util/nsight-systems/nsight-systems-2025.2.1.ebuild b/dev-util/nsight-systems/nsight-systems-2025.2.1.ebuild
new file mode 100644
index 000000000000..283c2aec821b
--- /dev/null
+++ b/dev-util/nsight-systems/nsight-systems-2025.2.1.ebuild
@@ -0,0 +1,117 @@
+# Copyright 2024-2025 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+inherit unpacker
+
+DESCRIPTION="performance analysis tool designed to visualize an application’s algorithms"
+HOMEPAGE="https://developer.nvidia.com/nsight-systems"
+
+MY_PV=$(ver_cut 1-2)
+MY_PV=${MY_PV//./_}
+
+PV_BUILD="130-1"
+
+SRC_URI="
+ amd64? (
+ https://developer.nvidia.com/downloads/assets/tools/secure/${PN}/${MY_PV}/${PN}-${PV}_${PV}.${PV_BUILD}_amd64.deb
+ )
+ arm64? (
+ https://developer.nvidia.com/downloads/assets/tools/secure/${PN}/${MY_PV}/${PN}-${PV}_${PV}.${PV_BUILD}_arm64.deb
+ )
+"
+S="${WORKDIR}"
+
+LICENSE="NVIDIA-r2"
+SLOT="${PV}"
+KEYWORDS="~amd64 ~arm64"
+
+RESTRICT="bindist mirror strip test"
+
+RDEPEND="
+ app-crypt/mit-krb5
+ dev-libs/expat
+ dev-libs/glib:2
+ dev-libs/nspr
+ dev-libs/nss
+ dev-libs/wayland
+ dev-qt/qtwayland:6
+ media-libs/fontconfig
+ media-libs/freetype
+ media-libs/gst-plugins-base:1.0
+ media-libs/gstreamer:1.0
+ media-libs/libglvnd
+ media-libs/tiff-compat:4
+ sys-apps/dbus
+ sys-cluster/rdma-core
+ x11-drivers/nvidia-drivers
+ x11-libs/libICE
+ x11-libs/libSM
+ x11-libs/libX11
+ x11-libs/libXcomposite
+ x11-libs/libXdamage
+ x11-libs/libXext
+ x11-libs/libXfixes
+ x11-libs/libXrandr
+ x11-libs/libXrender
+ x11-libs/libXtst
+ x11-libs/libxcb
+ x11-libs/libxkbcommon
+ x11-libs/libxkbfile
+ x11-libs/libxshmfence
+ x11-libs/xcb-util-image
+ x11-libs/xcb-util-keysyms
+ x11-libs/xcb-util-renderutil
+ x11-libs/xcb-util-wm
+ arm64? (
+ media-libs/gst-plugins-bad:1.0
+ )
+"
+BDEPEND="
+ dev-util/patchelf
+"
+
+QA_PREBUILT="/opt/nvidia/${PN}/$(ver_cut 1-2)"
+
+src_prepare() {
+ if use amd64; then
+ sed \
+ -e "/Terminal/s/=No/=false/" \
+ -e "/Categories/s/Application;//" \
+ -i usr/share/applications/*.desktop || die
+
+ if [[ -n "${EPREFIX}" ]]; then
+ sed -e "s#=/#=${EPREFIX}/#g" -i usr/share/applications/*.desktop || die
+ fi
+ fi
+
+ readarray -t rpath_libs < <(
+ find "${S}/opt/nvidia/${PN}/${PV}/host-linux-"* \
+ -name 'libparquet*.so*.0.0' -o \
+ -name 'libarrow*.so*.0.0' -o \
+ -name 'libssh.so'|| die
+ )
+ for rpath_lib in "${rpath_libs[@]}"; do
+ # ebegin "fixing rpath for ${rpath_lib}"
+ patchelf --set-rpath '$ORIGIN' "${rpath_lib}" || die
+ # eend $?
+ done
+
+ eapply_user
+}
+
+src_configure() {
+ :
+}
+
+src_compile() {
+ :
+}
+
+src_install() {
+ rm -r usr/local || die
+ mv ./* "${ED}" || die
+
+ # TODO install desktop file for arm64
+}